Subject: Re: [PATCH v6 0/3] branch: inherit tracking configs

From: Josh Steadmon <[email-masked]>
Date: Tue, 14 Dec 2021 16:43:46 -0800

On 2021.12.14 15:44, Josh Steadmon wrote:
> Changes since V5:
> * Greatly simplified BRANCH_CONFIG_VERBOSE output to not require nearly
>   so many conditionals.

I meant to expand on this but forgot before sending the series. I
removed as many distinctions as possible, as most can still be inferred
from context. For example, previously the output specifically called out
branches vs. tags, but this is obvious in the name itself: "some-branch"
vs. "refs/tags/some-tag" for example. Likewise, we don't need to specify
whether refs are remote or local: "some-remote/some-branch" vs.
"a-local-branch" should be understandable without us spelling it out.

Of course, if people feel like I've over-simplified here, I'm happy to
revert this change.